var GlobalErrorHandler = function () {
    var lastError = null;
    var errorPrefix = "[SeaLights Build Scanner] - Finished with errors. Last error: ";
    return {
        setLastError: function (e, message) {
            if(!e){return}
            e.message = message ? message + e.message : e.message;
            lastError = e;
        },

        hasErrors: function () {
            return lastError !== null;
        },

        printLastError: function () {
            console.log(errorPrefix, lastError);
        }
    }
};
module.exports = GlobalErrorHandler();